=== debian/changelog ===
nextcloud-client (2.3.2-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Aug 2017 16:40:50 -0700

nextcloud-client (2.3.2-20170713.070732~trusty1) trusty; urgency=medium

  * Merge pull request #185 from nextcloud/final-2.3.2

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Thu, 13 Jul 2017 09:07:32 +0200

nextcloud-client (2.3.2-20170712.175908~trusty1) trusty; urgency=medium

  * 2.3.2

 -- Roeland Jago Douma <roeland@famdouma.nl>  Wed, 12 Jul 2017 19:59:08 +0200

nextcloud-client (2.3.2-20170708.161854~trusty1) trusty; urgency=medium

  * Support for Ubuntu Artful (#183)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sat, 8 Jul 2017 18:18:54 +0200

nextcloud-client (2.3.2-20170707.204921~trusty1) trusty; urgency=medium

  * AppImage Qt5.8 (#162)

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Fri, 7 Jul 2017 22:49:21 +0200

nextcloud-client (2.3.2-20170704.103825~trusty1) trusty; urgency=medium

  * Merge pull request #176 from nextcloud/template

 -- Julius Härtl <github@jus.li>  Tue, 4 Jul 2017 12:38:25 +0200

nextcloud-client (2.3.2-20170703.163422~trusty1) trusty; urgency=medium

  * per review

 -- Daniel Hansson <daniel@techandme.se>  Mon, 3 Jul 2017 18:34:22 +0200

nextcloud-client (2.3.2-20170625.213647~trusty1) trusty; urgency=medium

  * make if more obvious where to report issues

 -- Daniel Hansson <daniel@techandme.se>  Sun, 25 Jun 2017 23:36:47 +0200

nextcloud-client (2.3.2-20170611.164101~trusty1) trusty; urgency=medium

  * Use proper icon for notifications (#170)

 -- Julius Härtl <github@jus.li>  Sun, 11 Jun 2017 18:41:01 +0200

nextcloud-client (2.3.2-20170605.131037~trusty1) trusty; urgency=medium

  * Added info on downloading the Debian repository signing key (#168)

 -- István Váradi <ivaradi@users.noreply.github.com>  Mon, 5 Jun 2017 15:10:37 +0200

nextcloud-client (2.3.2-20170531.153810~trusty1) trusty; urgency=medium

  * OBS beta packages are in a different project (#164)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 31 May 2017 17:38:10 +0200

nextcloud-client (2.3.2-20170524.183720~trusty1) trusty; urgency=medium

  * The contents of an empty OBS package are not attempted to be deleted (#158)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 24 May 2017 20:37:20 +0200

nextcloud-client (2.3.2-20170524.173543~trusty1) trusty; urgency=medium

  * OBS_SUBDIR is also set to the beta package, if needed (#157)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 24 May 2017 19:35:43 +0200

nextcloud-client (2.3.2-20170524.152636~trusty1) trusty; urgency=medium

  * add launchpad (#156)

 -- Daniel Hansson <daniel@techandme.se>  Wed, 24 May 2017 17:26:36 +0200

nextcloud-client (2.3.2-20170522.191018~trusty1) trusty; urgency=medium

  * Merge pull request #154 from nextcloud/2.3.2-beta

 -- Roeland Jago Douma <rullzer@users.noreply.github.com>  Mon, 22 May 2017 21:10:18 +0200

nextcloud-client (2.3.1-20170522.084614~trusty1) trusty; urgency=medium

  * Update mac script for 2.3.2

 -- Mario Danic <mario@lovelyhq.com>  Mon, 22 May 2017 10:46:14 +0200

nextcloud-client (2.3.1-20170522.063130~trusty1) trusty; urgency=medium

  * 2.3.2 beta

 -- Roeland Jago Douma <roeland@famdouma.nl>  Mon, 22 May 2017 08:31:30 +0200

nextcloud-client (2.3.1-20170514.194620~trusty1) trusty; urgency=medium

  * Merge pull request #150 from TheAssassin/master

 -- probonopd <probonopd@users.noreply.github.com>  Sun, 14 May 2017 21:46:20 +0200

nextcloud-client (2.3.1-20170514.194601~trusty1) trusty; urgency=medium

  * Add "." between "git" and the commit hash

 -- probonopd <probonopd@users.noreply.github.com>  Sun, 14 May 2017 21:46:01 +0200

nextcloud-client (2.3.1-20170514.192106~trusty1) trusty; urgency=medium

  * Remove lecagy glibc version hack

 -- TheAssassin <TheAssassin@users.noreply.github.com>  Sun, 14 May 2017 21:21:06 +0200

nextcloud-client (2.3.1-20170510.175459~trusty1) trusty; urgency=medium

  * Minor fixes for Ubuntu/Debian packaging (#143)

 -- István Váradi <ivaradi@users.noreply.github.com>  Wed, 10 May 2017 19:54:59 +0200

nextcloud-client (2.3.1-20170510.084358~trusty1) trusty; urgency=medium

  * Merge pull request #142 from nextcloud/fix-qt-compile-instructions

 -- Lukas Reschke <lukas@statuscode.ch>  Wed, 10 May 2017 10:43:58 +0200

nextcloud-client (2.3.1-20170510.083421~trusty1) trusty; urgency=medium

  * Fix QT compile instructions

 -- Mario Danic <mario@lovelyhq.com>  Wed, 10 May 2017 10:34:21 +0200

nextcloud-client (2.3.1-20170509.182700~trusty1) trusty; urgency=medium

  * Add snap install instructions (#132)

 -- Martin Wimpress <code@flexion.org>  Tue, 9 May 2017 19:27:00 +0100

nextcloud-client (2.3.1-20170509.175441~trusty1) trusty; urgency=medium

  * Travis build for Debian (#141)

 -- István Váradi <ivaradi@users.noreply.github.com>  Tue, 9 May 2017 19:54:41 +0200

nextcloud-client (2.3.1-20170509.175254~trusty1) trusty; urgency=medium

  * The distribution-specific files are copied correctly (#140)

 -- István Váradi <ivaradi@users.noreply.github.com>  Tue, 9 May 2017 19:52:54 +0200

nextcloud-client (2.3.1-20170507.145807~trusty1) trusty; urgency=medium

  * Typo in README! (#137)

 -- g-perez-scornik <gasparperez2010@gmail.com>  Sun, 7 May 2017 16:58:07 +0200

nextcloud-client (2.3.1-20170507.124404~trusty1) trusty; urgency=medium

  * The source package is signed only if the keys are defined (#138)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sun, 7 May 2017 14:44:04 +0200

nextcloud-client (2.3.1-20170507.123642~trusty1) trusty; urgency=medium

  * Build with Qt5 and the KDE Frameworks (#136)

 -- István Váradi <ivaradi@users.noreply.github.com>  Sun, 7 May 2017 14:36:42 +0200

nextcloud-client (2.3.1-20170504.043508~trusty1) trusty; urgency=medium

  * Travis build of Ubuntu packages (#133)

 -- ivaradi <ivaradi@users.noreply.github.com>  Thu, 4 May 2017 06:35:08 +0200


