## nextcloud-client 2.3.3

=== debian/changelog ===
nextcloud-client (2.3.3-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Add set-kde-use-qt-sys-path.patch and local-changes patches from the PPA.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Sep 2018 11:05:02 -0700

nextcloud-client (2.3.2-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 23 Oct 2017 11:41:40 -0700
