=== debian/control ===
--- 
+++ 
@@ -4,14 +4,29 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
-Build-Depends: debhelper (>= 9),
-                cdbs,
-                cmake,
-                libssl-dev (>= 1.0.0),
-                libsqlite3-dev (>=3.8.0),
-                qtkeychain-dev (>=0.7.0),
-                libqtwebkit-dev,
-                pkg-config
+Build-Depends: cmake,
+               debhelper (>= 9),
+               cdbs,
+               dh-python,
+               extra-cmake-modules (>= 5.16),
+               kdelibs5-dev,
+               kio-dev,
+               libcmocka-dev,
+               libhttp-dav-perl,
+               libinotify-dev [kfreebsd-any],
+               libqt5webkit5-dev,
+               libsqlite3-dev,
+               libssl-dev (>> 1.0.0),
+               zlib1g-dev,
+               optipng,
+               pkg-kde-tools,
+               python-sphinx | python3-sphinx,
+               python3-all,
+               qt5keychain-dev,
+               qtdeclarative5-dev,
+               qttools5-dev,
+               qttools5-dev-tools,
+               xvfb
 Standards-Version: 3.9.8
 Homepage: https://github.com/nextcloud/client_theming
 #Vcs-Git: git://anonscm.debian.org/collab-maint/nextcloud-client.git
@@ -50,21 +65,32 @@
 
 Package: nextcloud-client-nautilus
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nautilus, nautilus, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-nautilus, nautilus, ${misc:Depends}
 Description: Nautilus plugin for Nextcloud
  This package contains a Nautilus plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-nemo
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nemo | nemo-python, nemo, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-nemo | nemo-python, nemo, ${misc:Depends}
 Description: Nemo plugin for Nextcloud
  This package contains a Nemo plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-caja
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-caja, caja, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
+ python-caja, caja, ${misc:Depends}
 Description: Caja plugin for Nextcloud
  This package contains a Caja plugin to display
  synchronization status icons for Nextcloud files.
+
+Package: nextcloud-client-dolphin
+Architecture: any
+Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}),
+ nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
+Description: Dolphin plugin for Nextcloud
+ This package contains a Dolphin plugin to display
+ synchronization status icons for Nextcloud files.
