=== src/3rdparty/libcrashreporter-qt/3rdparty/CMakeLists.txt ===
add_subdirectory(breakpad)
add_subdirectory(drkonqi-parser)
