=== debian/changelog ===
nextcloud-client (2.5.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Drop existing patches, fixed upstream.
  * Add libssl.patch.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Jan 2019 16:03:03 -0800
