=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: István Váradi <ivaradi@varadiistvan.hu>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper,
                cdbs,
                dh-python,
                extra-cmake-modules (>= 5.16),
@@ -15,17 +14,19 @@
                libhttp-dav-perl,
                libinotify-dev [kfreebsd-any],
                libqt5webkit5-dev,
+               libqt5svg5-dev,
                libsqlite3-dev,
-               libssl-dev (>> 1.0.0),
+               libssl-dev (>= 1.0.0),
                zlib1g-dev,
                optipng,
                pkg-kde-tools,
                python-sphinx | python3-sphinx,
                python3-all,
                qt5keychain-dev,
-               qtdeclarative5-dev,
-               qttools5-dev,
-               qttools5-dev-tools,
+               qtwebengine5-dev (>=5.6),
+               qtdeclarative5-dev (>=5.6),
+               qttools5-dev (>=5.6),
+               qttools5-dev-tools (>=5.6),
                xvfb
 Standards-Version: 3.9.8
 Homepage: https://github.com/nextcloud/client_theming
@@ -34,10 +35,8 @@
 
 Package: nextcloud-client
 Architecture: any
-Depends: libnextcloudsync0 (=${binary:Version}),
-          ${shlibs:Depends},
-          ${misc:Depends},
-          nextcloud-client-l10n
+Depends: libnextcloudsync0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, nextcloud-client-l10n
+Recommends: libgnome-keyring0
 Description: Nextcloud desktop sync client
  Use the desktop client to keep your files synchronized
  between your Nextcloud server and your desktop. Select
@@ -65,32 +64,28 @@
 
 Package: nextcloud-client-nautilus
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-nautilus, nautilus, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nautilus, nautilus, ${misc:Depends}
 Description: Nautilus plugin for Nextcloud
  This package contains a Nautilus plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-nemo
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-nemo | nemo-python, nemo, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-nemo | nemo-python, nemo, ${misc:Depends}
 Description: Nemo plugin for Nextcloud
  This package contains a Nemo plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-caja
 Architecture: all
-Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0,
- python-caja, caja, ${misc:Depends}
+Depends: nextcloud-client (>=${binary:Version}), libnextcloudsync0, python-caja, caja, ${misc:Depends}
 Description: Caja plugin for Nextcloud
  This package contains a Caja plugin to display
  synchronization status icons for Nextcloud files.
 
 Package: nextcloud-client-dolphin
 Architecture: any
-Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}),
- nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
+Depends: dolphin (>= 4:15.12.1), libnextcloudsync0 (= ${binary:Version}), nextcloud-client, ${misc:Depends}, ${shlibs:Depends}
 Description: Dolphin plugin for Nextcloud
  This package contains a Dolphin plugin to display
  synchronization status icons for Nextcloud files.
