## nextcloud-client 2.5.2

=== debian/changelog ===
nextcloud-client (2.5.2-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jul 2019 16:09:51 -0700

nextcloud-client (2.5.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release.
  * Import debian/patches and /post-patches from the 2.5.2 PPA version.
  * Wrap some lines in debian/rules.
  * Run wrap-and-sort on the control file.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jun 2019 10:46:22 -0700
