## nextcloud-client 2.5.3

=== debian/changelog ===
nextcloud-client (2.5.3-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 31 Jul 2019 15:21:10 -0700
